.TH "isDelIndex" "3" "March 31" "isDelIndex" "Byte Designs DISAM"


.SH NAME
isDelIndex \- drop an index from an ISAM file
.SH SYNOPSIS
.SS int isDelIndex( IsFile * \fIisfd\fP, IsKdsc * \fIkey\fP );
\&
.TS
l l .
\fIisfd\fP 	 isam file descriptor 
\fIkey\fP 	 description of secondary index to delete, see isam indexes 
\&
.TE
.SH RETURN
.PP
ISTRUE, or ISFALSE,
in which case the error code is returned by
isErrno\&
.SM [1]
\&, or found in
isfd->iserrno\&
.SM [2]
\&
.br
\&
.SM [1]
\& isErrno.3.man
.br
\&
.SM [2]
\& disam_error.7.man
.br
.SH NOTES
.PP
when deleting an index from a populated file,
isDelIndex
will
purge the accumulated keys. in the case of larger files this
could take a while, but will be significantly faster than the
isAddIndex
call.
.PP
isDelIndex
will attempt to place an exclusive lock on
the isam file for the duration of the update (assuming
you have not done so already) and will fail if any other
process already has the file open.


